Getting old Truecrypt to work with Xenial

Truecrypt died two years back.

Despite their warning I continued to use it for encrypting some of my data, because I believe Truecrypt was rather killed by a hidden hand – not actually because of any unfixable vulnerabilities.

So, straight to the topic; a new Ubuntu LTS is here and everyone is upgrading. I wanted to install it from the scratch this time. Therefore first of all I took backups using Truecrypt that I have been using since 2014. (My laptop had Ubuntu 14.04 LTS until right now)

All went so smooth until I tried to mount my encrypted Truecrypt volume with the previous Truecrypt 7.1a binary I had. It has been previously compiled into one single executable binary, and the architecture was the same (x86_64).

The error was;

error while loading shared libraries: libwx_gtk2u_adv-2.8.so.0: cannot open shared object file: No such file or directory

Mmm… dependency problem! I tried to install libwxgtk-2.8 from official Ubuntu Xenial Xerus repositories, but the only available version was 3.0. Installing version 3.0 did not address the issue.

After trying out a couple of other options I figured out that easiest option is directly downloading and installing dependencies from the Launchpad. It fixed the issue!

So, this is what worked for me:

$ cd /usr/bin
$ sudo ln -s /opt/truecrypt truecrypt    #Note: I put my previous binary in /opt
$ mkdir /tmp/wx
$ cd /tmp/wx
$ wget http://launchpadlibrarian.net/219037037/libwxgtk2.8-0_2.8.12.1+dfsg2-2ubuntu2_amd64.deb
$ wget http://launchpadlibrarian.net/219037033/libwxbase2.8-0_2.8.12.1+dfsg2-2ubuntu2_amd64.deb
$ sudo dpkg -i *.deb
$ truecrypt &

I believe this is the time I should be looking for an alternative encryption solution, because eventually dependencies will also get old and die, completely killing Truecrypt.

 

Advertisements